Bug 853901 - Users can add characters like "@!#" as their name in the billing info page when update plans.
Users can add characters like "@!#" as their name in the billing info page wh...
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 05:43 EDT by Mengjiao Gao
Modified: 2015-05-14 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 12:20:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-09-03 05:43:29 EDT
Description of problem:
When user select to upgrade his plan ,he will be leaded to a billing info page.And in this page,user can add characters like "@!#" ,which are not numbers and letters, as his firstname or lastname.

Version-Release number of selected component (if applicable):

devenv_2108
How reproducible:
always

Steps to Reproduce:
1.Go to /app/account/plans page, click to upgrade plans.
2.Select the Megashift plan.
3.Input "@" , "!" ,"#" or other character in the firstname form.
  
Actual results:
User can update his billing info successful.

Expected results:
It should be updated failed with some error message like:"One's name should only contain letters "

Additional info:
Comment 1 Clayton Coleman 2012-09-05 12:20:59 EDT
There's no real reason to reject these names - users can add whatever they want.  There are a few people out there who have very strange characters in the names on their credit cards, so aggressive validation is not warranted.  General recommendation when accepting names is to accept all characters and make it the user's responsibility to provide accurate data.

Note You need to log in before you can comment on or make changes to this bug.